from django.core.management.base import BaseCommand
from pgp.models import PublicKey


class Command(BaseCommand):
    def handle(self, *args, **options):
        print("Setting key ids")
        for key in PublicKey.objects.filter(keyid__isnull=True):
            print(f"  Update {key.details().fingerprint}")
            key.set_keyid()
            key.save()
        print("Done")
